# H245_GenericMessage Class Reference

`#include <h245.h>`

Inheritance diagram for H245_GenericMessage:

List of all members.

## Public Types

enum | OptionalFields { e_subMessageIdentifier, e_messageContent }

## Public Member Functions

| H245_GenericMessage (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_CapabilityIdentifier | m_messageIdentifier
PASN_Integer | m_subMessageIdentifier
H245_ArrayOf_GenericParameter | m_messageContent

## Member Enumeration Documentation

enum H245_GenericMessage::OptionalFields

Enumerator:

  e_subMessageIdentifier |
  e_messageContent |

## Constructor & Destructor Documentation

H245_GenericMessage::H245_GenericMessage | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_GenericMessage::GetDataLength | ( |  | ) | const

PBoolean H245_GenericMessage::Decode | ( | PASN_Stream & | strm | ) |

void H245_GenericMessage::Encode | ( | PASN_Stream & | strm | ) | const

void H245_GenericMessage::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_GenericMessage::Compare | ( | const PObject & | obj | ) | const

PObject* H245_GenericMessage::Clone | ( |  | ) | const

Reimplemented in H245_GenericInformation.

## Member Data Documentation

H245_CapabilityIdentifier H245_GenericMessage::m_messageIdentifier

PASN_Integer H245_GenericMessage::m_subMessageIdentifier

H245_ArrayOf_GenericParameter H245_GenericMessage::m_messageContent

The documentation for this class was generated from the following file:

- h245.h